package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.vo.model.Ncdgrp;
import com.brilliance.isc.vo.model.Nidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NitpcjStoreVo extends BaseTransactionVo {
    private Nidgrp nidgrp;
    private Ncdgrp ncdgrp;
    private Nidgrp oldnidgrp;
    private SwiaddVo swiadd;
    private String rejtypsel= NULLSTR;
    private String lettername = NULLSTR;
    private Boolean clsflg = false;
    private String instxt = NULLSTR;
    private Boolean adaflg = false;
    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        if (ncdgrp == null) {
            ncdgrp = new Ncdgrp();
        }
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
    }
}
